diff -r -c libpcap-0.0/Makefile.in libpcap-0.0-next/Makefile.in
*** libpcap-0.0/Makefile.in	Fri Jun 17 12:56:00 1994
--- libpcap-0.0-next/Makefile.in	Sat Aug 13 00:21:30 1994
***************
*** 26,31 ****
--- 26,41 ----
  INCLUDE_DIR = /usr/local/include
  LIB_DIR = /usr/local/lib
  
+ #LIB_OWNER=bin
+ #LIB_GROUP=bin
+ LIB_OWNER=root
+ LIB_GROUP=wheel
+ 
+ #INC_OWNER=bin
+ #INC_GROUP=bin
+ INC_OWNER=root
+ INC_GROUP=wheel
+ 
  #
  # You shouldn't need to edit anything below.
  #
***************
*** 144,156 ****
  	done
  	cp libpcap.a $(LIB_DIR); \
  	    chmod 444 $(LIB_DIR)/libpcap.a; \
! 	    chown bin $(LIB_DIR)/libpcap.a; \
! 	    chgrp bin $(LIB_DIR)/libpcap.a
  	-$(RANLIB) $(LIB_DIR)/libpcap.a
  	cp pcap.h pcap-namedb.h $(INCLUDE_DIR); \
  	    chmod 444 $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h; \
! 	    chown bin $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h; \
! 	    chgrp bin $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h
  	if [ ! -f /usr/include/net/bpf.h ]; then \
  		i=$(INCLUDE_DIR)/net; \
  		if [ ! -d $$i ] ; then \
--- 154,166 ----
  	done
  	cp libpcap.a $(LIB_DIR); \
  	    chmod 444 $(LIB_DIR)/libpcap.a; \
! 	    chown $(LIB_OWNER) $(LIB_DIR)/libpcap.a; \
! 	    chgrp $(LIB_GROUP) $(LIB_DIR)/libpcap.a
  	-$(RANLIB) $(LIB_DIR)/libpcap.a
  	cp pcap.h pcap-namedb.h $(INCLUDE_DIR); \
  	    chmod 444 $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h; \
! 	    chown $(INC_OWNER) $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h; \
! 	    chgrp $(INC_GROUP) $(INCLUDE_DIR)/pcap.h $(INCLUDE_DIR)/pcap-namedb.h
  	if [ ! -f /usr/include/net/bpf.h ]; then \
  		i=$(INCLUDE_DIR)/net; \
  		if [ ! -d $$i ] ; then \
***************
*** 161,172 ****
  		fi; \
  		cp net/bpf.h $(INCLUDE_DIR)/net; \
  		chmod 444 $(INCLUDE_DIR)/net/bpf.h; \
! 		chown bin $(INCLUDE_DIR)/net/bpf.h; \
! 		chgrp bin $(INCLUDE_DIR)/net/bpf.h; \
  	fi
  
  clean:
! 	rm -f $(OBJ) libpcap.a lex.yy.c $(GEN) $(GENHDR)
  
  realclean:
  	rm -f $(OBJ) libpcap.a lex.yy.c $(GEN) $(GENHDR) Makefile tags
--- 171,182 ----
  		fi; \
  		cp net/bpf.h $(INCLUDE_DIR)/net; \
  		chmod 444 $(INCLUDE_DIR)/net/bpf.h; \
! 		chown $(INC_OWNER) $(INCLUDE_DIR)/net/bpf.h; \
! 		chgrp $(INC_GROUP) $(INCLUDE_DIR)/net/bpf.h; \
  	fi
  
  clean:
! 	rm -f $(OBJ) libpcap.a lex.yy.c stdlib.h unistd.h $(GEN) $(GENHDR)
  
  realclean:
  	rm -f $(OBJ) libpcap.a lex.yy.c $(GEN) $(GENHDR) Makefile tags
diff -r -c libpcap-0.0/configure libpcap-0.0-next/configure
*** libpcap-0.0/configure	Mon Jun 20 05:54:50 1994
--- libpcap-0.0-next/configure	Sat Aug 13 00:21:05 1994
***************
*** 54,66 ****
  	set bison
  endif
  set libc
! foreach f ( /usr/lib/libc.a /lib/libc.a /usr/lib/libc_s.a )
  	if ( -f $f ) then
  		set libc=$f
  		break
  	endif
  end
! if ( "$f" == "" ) then
  	echo "configure: couldn't find libc"
  else
  	nm $libc | grep ether_ntoa > /dev/null
--- 54,66 ----
  	set bison
  endif
  set libc
! foreach f ( /usr/lib/libc.a /lib/libc.a /usr/lib/libc_s.a /lib/libsys_s.a)
  	if ( -f $f ) then
  		set libc=$f
  		break
  	endif
  end
! if ( "$libc" == "" ) then
  	echo "configure: couldn't find libc"
  else
  	nm $libc | grep ether_ntoa > /dev/null
***************
*** 72,81 ****
  if ( -x /usr/local/bin/gcc || -x /usr/local/gcc ) then
  	set gcc='-e s/^#have-gcc#//'
  endif
! if ( -x /usr/bin/ranlib ) then
  	set ranlib='-e s/^#have-ranlib#//'
  endif
! if ( ! -f /usr/include/stdlib.h ) ln -s /dev/null stdlib.h
  rm -f Makefile
  sed -e "s/^#have-$pcap#//" $irix $solaris $flex $bison $ethers $gcc $ranlib \
      Makefile.in > Makefile
--- 72,84 ----
  if ( -x /usr/local/bin/gcc || -x /usr/local/gcc ) then
  	set gcc='-e s/^#have-gcc#//'
  endif
! if ( -x /usr/bin/ranlib || -x /bin/ranlib ) then
  	set ranlib='-e s/^#have-ranlib#//'
  endif
! if ( ! -f /usr/include/stdlib.h && ! -f /usr/include/ansi/stdlib.h ) \
! 	ln -s /dev/null stdlib.h
! if ( ! -f /usr/include/unistd.h && ! -f /usr/include/bsd/unistd.h ) \
! 	ln -s /dev/null unistd.h
  rm -f Makefile
  sed -e "s/^#have-$pcap#//" $irix $solaris $flex $bison $ethers $gcc $ranlib \
      Makefile.in > Makefile
